%define	major            11
%define	util_major       2
%define	protocol_major   0
%define	hashkit_major    2
%define libname          %mklibname memcached %{major}
%define util_libname     %mklibname memcachedutil %{util_major}
%define protocol_libname %mklibname memcachedprotocol %{protocol_major}
%define hashkit_libname  %mklibname memcachedhashkit %{hashkit_major}
%define develname        %mklibname memcached -d

Summary:	A memcached C library and command line tools
Name:		libmemcached
Version:	1.1.4
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		https://awesomized.github.io/libmemcached/
Source0:	https://github.com/awesomized/libmemcached/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	cmake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	memcached
BuildRequires:	python3dist(sphinx)
BuildRequires:	systemtap-sdt-devel
BuildRequires:	pkgconfig(libevent)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(libsasl2)
BuildRequires:	pkgconfig(openssl)

%description
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide full
access to server side methods. It also implements several command line tools:

memaslap   -  Load testing and benchmarking a server
memcapable -  Checking a Memcached server capibilities and compatibility
memcat     -  Copy the value of a key to standard output
memcp      -  Copy data to a server
memdump    -  Dumping your server
memerror   -  Translate an error code to a string
memexist   -  Check for the existance of a key
memflush   -  Flush the contents of your servers
memparse   -  Parse an option string
memping    -  Test to see if a server is available.
memrm      -  Remove a key(s) from the server
memslap    -  Generate testing loads on a memcached cluster
memstat    -  Dump the stats of your servers to standard output
memtouch   -  Touches a key

%package -n	%{libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{util_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{util_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{protocol_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{protocol_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{hashkit_libname}
Summary:	A memcached C library
Group:		System/Libraries

%description -n	%{hashkit_libname}
libmemcached is a C client library to interface to a memcached server. It has
been designed to be light on memory usage, thread safe, and to provide
full access to server side methods.

%package -n	%{develname}
Summary:	Library and header files for the libmemcached library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{util_libname} = %{version}-%{release}
Requires:	%{protocol_libname} = %{version}-%{release}
Requires:	%{hashkit_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	memcached-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files and development libraries
for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%autosetup -p1

%build
%cmake -DENABLE_SASL:BOOL=ON \
       -DBUILD_DOCS:BOOL=ON \
       -DBUILD_DOCS_MAN:BOOL=ON \
       -DBUILD_DOCS_MANGZ:BOOL=OFF \
       -DENABLE_DTRACE:BOOL=ON \
       -DENABLE_OPENSSL_CRYPTO:BOOL=ON \
       -DENABLE_HASH_HSIEH:BOOL=ON \
       -DENABLE_HASH_FNV64:BOOL=ON \
       -DENABLE_HASH_MURMUR:BOOL=ON \
       -DENABLE_MEMASLAP:BOOL=ON
%cmake_build

%install
%cmake_install

rm -f %{buildroot}%{_libdir}/libp9y.a
rm -f %{buildroot}%{_libdir}/cmake/*/p9y*

%files
%doc AUTHORS ChangeLog-1.1.md README.md TODO
%{_bindir}/*
%{_datadir}/libmemcached-awesome/
%{_mandir}/man1/*

%files -n %{libname}
%license LICENSE
%doc AUTHORS ChangeLog-1.1.md README.md TODO
%{_libdir}/*.so.%{major}{,.*}

%files -n %{util_libname}
%license LICENSE
%{_libdir}/libmemcachedutil.so.%{util_major}{,.*}

%files -n %{protocol_libname}
%license LICENSE
%{_libdir}/libmemcachedprotocol.so.%{protocol_major}{,.*}

%files -n %{hashkit_libname}
%license LICENSE
%{_libdir}/libhashkit.so.%{hashkit_major}{,.*}

%files -n %{develname}
%{_docdir}/libmemcached-awesome/
%{_includedir}/libmemcached/
%{_includedir}/libmemcached-1.0/
%{_includedir}/libhashkit/
%{_includedir}/libhashkit-1.0/
%{_includedir}/libmemcachedprotocol-0.0/
%{_includedir}/libmemcachedutil-1.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/libmemcached-awesome/
%{_mandir}/man3/*
%{_datadir}/aclocal/ax_libmemcached.m4


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.1.4-2.mga10
+ Revision: 2230877
- Mageia 10 Mass Rebuild

* Thu Dec 05 2024 daviddavid <daviddavid> 1.1.4-1.mga10
+ Revision: 2121726
- new version: 1.1.4
- switch to cmake build system

* Tue Mar 29 2022 umeabot <umeabot> 1.0.18-9.mga9
+ Revision: 1833488
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 1.0.18-8.mga8
+ Revision: 1611010
- redo deps

* Sun Mar 01 2020 daviddavid <daviddavid> 1.0.18-7.mga8
+ Revision: 1552593
- rebuild for new libevent 2.1.11

* Thu Feb 13 2020 umeabot <umeabot> 1.0.18-6.mga8
+ Revision: 1514227
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.18-5.mga7
+ Revision: 1298990
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Thu Oct 05 2017 cjw <cjw> 1.0.18-4.mga7
+ Revision: 1169021
- patch1: fix build with gcc 7

* Thu Feb 16 2017 mrambo3501 <mrambo3501> 1.0.18-3.mga6
+ Revision: 1086489
- rebuild for libevent 2.1.8

* Tue Feb 02 2016 luigiwalser <luigiwalser> 1.0.18-2.mga6
+ Revision: 931889
- try fedora linking patch to avoid autofoo regeneration
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ neoclust <neoclust>
- New version 1.0.18

* Wed Oct 15 2014 umeabot <umeabot> 1.0.17-6.mga5
+ Revision: 745083
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.17-5.mga5
+ Revision: 726748
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.17-4.mga5
+ Revision: 681600
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.17-3.mga4
+ Revision: 533218
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.0.17-2.mga4
+ Revision: 472077
- rebuild for cyrus-sasl

* Mon Jun 24 2013 fwang <fwang> 1.0.17-1.mga4
+ Revision: 446124
- rediff link patch
- fix build with latest memcached path
- new version 1.0.15

* Sat Jan 12 2013 umeabot <umeabot> 1.0.15-2.mga3
+ Revision: 357747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 fwang <fwang> 1.0.15-1.mga3
+ Revision: 332774
- update file list
- update file list
- linkage fix
- build protocol
- more linkage fix
- new version 1.0.15

* Fri Oct 12 2012 fwang <fwang> 1.0.12-1.mga3
+ Revision: 304816
- update file list
- update file list
- update file list
- new version 1.0.12

* Fri Sep 21 2012 fwang <fwang> 1.0.11-2.mga3
+ Revision: 296490
- add br on libuuid

* Fri Sep 21 2012 fwang <fwang> 1.0.11-1.mga3
+ Revision: 296480
- drop Werror flag
- new version 1.0.11

* Sun Sep 02 2012 fwang <fwang> 1.0.10-1.mga3
+ Revision: 287190
- update libmajor and file list
- more linkage fix
- use cxxflags
- build with c99
- pthread fixes
- new version 1.0.10
- new version 1.0.9
- rediff link patch
- new version 1.0.8

* Sat Jan 28 2012 fwang <fwang> 1.0.4-1.mga2
+ Revision: 202423
- new version 1.0.4

* Tue Jan 10 2012 fwang <fwang> 1.0.3-1.mga2
+ Revision: 194527
- update libmajor
- correct link fix
- rediff link.patch
- new version 1.0.3

* Thu Oct 27 2011 fwang <fwang> 1.0.2-1.mga2
+ Revision: 158565
- fix linkage
- fix build
- new version 1.0.2
- new version 0.53
- more fix
- more fix
- more build fix
- fix test build
- new version 0.51

* Sun Jul 17 2011 fwang <fwang> 0.50-1.mga2
+ Revision: 125207
- new version 0.50

* Sun Feb 06 2011 spuhler <spuhler> 0.44-1.mga1
+ Revision: 47618
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libmemcached


* Sun Oct 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.44-1mdv2011.0
+ Revision: 584592
- bump major
- 0.44

* Mon Aug 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.43-2mdv2011.0
+ Revision: 568088
- bump release

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.43-1mdv2011.0
+ Revision: 563740
- update to new version 0.43

* Thu Jul 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.42-2mdv2011.0
+ Revision: 553522
- rebuilt due to package loss

* Tue Jul 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.42-1mdv2011.0
+ Revision: 552118
- fix build
- 0.42

  + Funda Wang <fwang@mandriva.org>
    - updaet url

* Sat Apr 24 2010 Funda Wang <fwang@mandriva.org> 0.40-1mdv2010.1
+ Revision: 538416
- New version 0.40

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.39-1mdv2010.1
+ Revision: 532606
- 0.39

* Sat Mar 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0.38-2mdv2010.1
+ Revision: 528046
- fix build
- fix deps

* Thu Feb 11 2010 Funda Wang <fwang@mandriva.org> 0.38-1mdv2010.1
+ Revision: 504357
- New version 0.38

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.37-1mdv2010.1
+ Revision: 490748
- the major was bumped
- 0.37

* Fri Jan 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0.36-1mdv2010.1
+ Revision: 487534
- fix deps
- 0.36

* Thu Nov 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.35-1mdv2010.1
+ Revision: 467406
- 0.35

* Fri Nov 06 2009 Oden Eriksson <oeriksson@mandriva.com> 0.34-1mdv2010.1
+ Revision: 461873
- fix build
- 0.34

* Fri Oct 02 2009 Oden Eriksson <oeriksson@mandriva.com> 0.33-2mdv2010.0
+ Revision: 452725
- fix #54183 (libmemcached* improperly libified, leading to conflicts)

* Fri Sep 25 2009 Oden Eriksson <oeriksson@mandriva.com> 0.33-1mdv2010.0
+ Revision: 448751
- add unpacked files
- new major (3)
- 0.33

* Fri Sep 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.32-1mdv2010.0
+ Revision: 444312
- 0.32

* Sat Jul 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0.31-1mdv2010.0
+ Revision: 394777
- 0.31

* Tue Jun 02 2009 Oden Eriksson <oeriksson@mandriva.com> 0.30-1mdv2010.0
+ Revision: 382160
- 0.30
- drop P0, it's implemented upstream

* Tue May 19 2009 Oden Eriksson <oeriksson@mandriva.com> 0.29-1mdv2010.0
+ Revision: 377735
- 0.29

* Fri Jan 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.26-1mdv2009.1
+ Revision: 335430
- fix build
- 0.26

* Sat Nov 29 2008 Funda Wang <fwang@mandriva.org> 0.25-1mdv2009.1
+ Revision: 307798
- new version 0.25

* Mon Sep 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.23-1mdv2009.0
+ Revision: 282751
- 0.23

* Tue Jul 15 2008 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdv2009.0
+ Revision: 235873
- 0.22

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-2mdv2009.0
+ Revision: 229680
- never obsolete a library

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.21-1mdv2009.0
+ Revision: 210841
- 0.21

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 0.20-1mdv2009.0
+ Revision: 201759
- New version 0.20

* Thu Apr 10 2008 Oden Eriksson <oeriksson@mandriva.com> 0.19-1mdv2009.0
+ Revision: 192537
- 0.19
- 0.18

  + Thierry Vignaud <tv@mandriva.org>
    - remove URL from description

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.16-1mdv2008.1
+ Revision: 171415
- 0.16

* Wed Jan 30 2008 Funda Wang <fwang@mandriva.org> 0.15-1mdv2008.1
+ Revision: 160165
- update to new version 0.15

* Tue Jan 22 2008 Oden Eriksson <oeriksson@mandriva.com> 0.14-1mdv2008.1
+ Revision: 156570
- 0.14

* Mon Jan 14 2008 Oden Eriksson <oeriksson@mandriva.com> 0.13-1mdv2008.1
+ Revision: 151152
- 0.13

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Oden Eriksson <oeriksson@mandriva.com> 0.12-1mdv2008.1
+ Revision: 118071
- 0.12
- simplify the spec file a bit

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 0.11-1mdv2008.1
+ Revision: 112120
- 0.11

* Wed Nov 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.10-1mdv2008.1
+ Revision: 110950
- 0.10

* Fri Nov 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9-1mdv2008.1
+ Revision: 109051
- no need to obsolete a package that don't exist (duh!)
- 0.9
- new major (1)

* Wed Nov 14 2007 Funda Wang <fwang@mandriva.org> 0.7-2mdv2008.1
+ Revision: 108823
- rebuild

* Tue Oct 30 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-1mdv2008.1
+ Revision: 103960
- 0.7

* Wed Oct 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6-1mdv2008.1
+ Revision: 99759
- 0.6

* Tue Oct 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-1mdv2008.1
+ Revision: 95786
- 0.5

* Wed Oct 03 2007 Oden Eriksson <oeriksson@mandriva.com> 0.4-1mdv2008.1
+ Revision: 95201
- 0.4
- import libmemcached


* Tue Oct 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.3-1mdv2008.0
- initial Mandriva package
